Subject: Re: [PATCH 0/7] Case-insensitive filesystem support, take 1

From: Derek Fawcus <[email-masked]>
Date: Tue, 25 Mar 2008 11:39:56 +0000

On Sat, Mar 22, 2008 at 10:21:05AM -0700, Linus Torvalds wrote:
>    ... and on a vfat filesystem under Linux (which is 
>    case-insensitive and *really* odd wrt case preservation - it remembers 
>    the name of removed files, so it preserves case even across removal and 
>    re-creation!)

Interesting.
That sounds a bit like the claimed windows 95 properly of 'tunneling' renames.
ISTR that it was to catch a move via 'shortname' which then preserved the longname.

However I'd have expected the Linux version to always use the long name...

DF